#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "ClockChartForm.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_btnOpenClockLogFile_clicked();

    void on_btnShowChart_clicked();

    void on_btnResiMi_clicked();

    void on_btnTimeFormat_clicked();

private:
    Ui::MainWindow *ui;

    QList<QStringList> clockDataSecond;
    QList<QStringList> clockDataMinute;

    void readClockLog(QString filename);
    void calcResidualMinute();
};

#endif // MAINWINDOW_H
